## sbcl 1.1.1.0

=== contrib/asdf/Makefile ===
MODULE=asdf
include ../vanilla-module.mk


test::
	true

up:
	sh pull-asdf.sh
	cp asdf-upstream/asdf.lisp asdf.lisp
	cp asdf-upstream/doc/asdf.texinfo asdf.texinfo
	cp asdf-upstream/README README

=== debian/changelog ===
sbcl (2:1.1.1.0-2) experimental; urgency=low

  * Fix features for non-arch-all builds (Closes: #693682)

 -- Christoph Egger <christoph@debian.org>  Wed, 28 Nov 2012 18:53:38 -0800

sbcl (2:1.1.1.0-1) experimental; urgency=low

  * New upstream release
  * changes in sbcl-1.1.1 relative to sbcl-1.1.0:
    * enhancement: WITH-COMPILATION-UNIT no longer grabs the world-lock.
      (COMPILE and COMPILE-FILE still do.)
    * optimization: the SPARC backend now supports the precise generational
      (GENCGC) garbage collection.  Enabled by default on Solaris/SPARC and
      Linux/SPARC.  Thanks to Raymond Toy (via CMUCL).
    * enhancement: add experimental support for the SB-THREAD feature and the
      timer facility on Windows.  Thanks to Dmitry Kalyanov and Anton Kovalenko.
      Threads are enabled by default, and this version of SBCL is considered
      to be the last and final release to officially support building with
      threads disabled.
    * optimization: The compiler no longer rotates loops in some cases where
      this transformation actually lead to worse code being generated.
    * bug fix: SB-CLTL2:MACROEXPAND-ALL correctly handles shadowing of
      symbol-macros by lexical bindings.
    * bug fix: stack allocation was prevented by high DEBUG declaration in
      several cases.
    * bug fix: SB-EXT:GC-LOGFILE signaled an error when no logfile was set.
      (thanks to SANO Masatoshi)
    * bug fix: PARSE-NATIVE-NAMESTRING performed non-native parsing when
      :JUNK-ALLOWED was true.
    * bug fix: type derivation inferred overly conservative types for
      unions of array types. (lp#1050768)
  * changes in sbcl-1.1.0 relative to sbcl-1.0.58:
    * enhancement: New variable, sb-ext:*disassemble-annotate* for controlling
      source annotation of DISASSEMBLE output. Defaults to T.
    * enhancement: TIMEOUT arguments added to WITH-MUTEX and
      WITH-RECURSIVE-LOCK, and WAIT-P argument added to WITH-RECURSIVE-LOCK.
    * enhancement: SB-EXT:ATOMIC-PUSH and SB-EXT:ATOMIC-POP allow atomic
      operations on list heads.
    * enhancement: Optional features (not enabled by default) allow the
      use of signals for inter-thread synchronization to be reduced on certain
      supported platforms (currently Linux, Solaris, and FreeBSD on x86 and
      x86-64).  Set (and :sb-thread :sb-safepoint :sb-thruption :sb-wtimer)
      to test these experimental features.  Known remaining bugs include minor
      thread safety issues, less timely freeing of memory by GC, and certain
      (not yet optimally low) runtime overhead.  Thanks to Anton Kovalenko.
    * optimization: CL:SORT and CL:STABLE-SORT of lists are faster and use fewer
      comparisons, particularly on almost-sorted inputs.
    * bug fix: Reading floats with large exponents no longer takes too much time
      before reporting that the exponent is too large.
    * bug fix: SB-BSD-SOCKETS:SOCKET-RECEIVE with a UDP socket now works
      correctly when the received datagram is larger than the provided buffer.
      (lp#1023438, thanks to Robert Uhl)
    * bug fix: SB-EXT:GET-CAS-EXPANSION returned a bogus read-form when given
      a SYMBOL-VALUE form with a constant symbol argument.
    * bug fix: SB-EXT:GET-CAS-EXPANSION signaled an error when a macro expanding
      into a DEFCAS defined place was used as the place.
    * bug fix: FIND and POSITION signaled a type-error when non-bits where
      looked for from bit-vectors.
    * bug fix: a race condition around thread creation could (in SBCL 1.0.57)
      lead to internal errors or crashes (lp#1058799).
    * documentation: a section on random number generation has been added to the
      manual. (lp#656839)

 -- Christoph Egger <christoph@debian.org>  Fri, 16 Nov 2012 19:10:02 -0800

sbcl (2:1.0.58.0-1) experimental; urgency=low

  * changes in sbcl-1.0.58 relative to sbcl-1.0.57:
    * enhancement: implicit generic function warnings now specify the package
      in which the new generic function is being created.
    * enhancement: SB-EXT:ATOMIC-UPDATE makes it easy to perform non-destructive
      updates of CAS-able places (similar to Clojure's swap!).
    * enhancement: run-program no longer decodes and re-encodes environment when
      :environment argument is not provided. (lp#985904)
    * enhancement: errors during compiler-macro expansion no longer cause
      runtime errors, only a compile-time warning, otherwise behaving as if
      the compiler macro had declined to expand.
    * optimization: On x86-64, code alignment of block headers is done with
      multi-byte NOPs now instead of repetitions of the single-byte NOP.
    * optimization: MAP-INTO is substantially faster when the target sequence is
      of unknown type; mapping into lists is no longer O(N^2). (thanks to James
      M. Lawrence)
    * optimization: the compiler no longer heap-conses to check exits in cases
      where the exit function is dynamic extent, or when it can prove the exit
      function cannot escape.
    * optimization: SB-SEQUENCE:DOSEQUENCE is faster on vectors of unknown
      element type, and vectors that aren't SIMPLE-ARRAYs.
    * optimization: CL:SORT and CL:STABLE-SORT are more efficient in execution
      speed (around 1/3 the time in some cases), and a little better in terms of
      comparison calls. (Thanks to Takeru Ohta)
    * bug fix: On SPARC, a limitation on the number of code constants emittable
      by the compiler has been lifted, allowing certain long functions to
      compiled and assembled which had previously been unsupported; fixes
      cl-bench on this ISA (lp#1008996).
    * bug fix: potential for infinite recursion during compilation of CLOS slot
      typechecks when dependency graph had loops. (lp#1001799)
    * bug fix: error forms reported with some program-errors were not escaped
      properly.
    * bug fix: functions from EVAL are now on more equal footing with functions
      from COMPILE. (lp#1000783, lp#851170, lp#922408)


=== debian/control ===
Source: sbcl
Section: lisp
Priority: optional
Homepage: http://www.sbcl.org
Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
Build-Depends: dh-lisp,
 debhelper (>> 7.0.0),
 sbcl (>> 1:0.9.5.50-9),
 texinfo,
 zlib1g-dev,
 texlive-extra-utils,
 texlive,
 locales,
 graphviz,
 ghostscript,
 texlive-generic-recommended,
 texlive-font-utils,
 time,
 netbase
Standards-Version: 3.9.2
Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary

Package: sbcl
Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cl-clx-sbcl (<= 0.7.0-1),
 common-lisp-controller (<< 6.18),
 cl-asdf (<= 2:1.502)
Suggests: sbcl-doc,
 sbcl-source,
 slime
Provides: lisp-compiler, ${sbcl:fasl-version}
Recommends: binfmt-support (>= 1.1.2)
Description: Common Lisp compiler and development system
 SBCL is a development environment for the ANSI Common Lisp language.
 It provides a native-code compiler and an integrated debugger, as well
 as all the features in the ANSI specification.
 .
 SBCL also contains other extensions to the ANSI specification, including
 a foreign-function interface, a pseudo-server API, user-extensible
 stream functionality, a Meta-Object Protocol, and an ability to run
 external processes.
 .
 To browse SBCL source definitions with development environments,
 install the sbcl-source package. For documentation on SBCL's usage
 and internals, the package sbcl-doc is provided.

Package: sbcl-doc
Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: doc
Breaks: sbcl-common (<= 1:0.9.13.0-2)
Architecture: all
Description: Documentation for Steel Bank Common Lisp
 This package provides documentation for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The documents in this package cover SBCL-specific extensions to the
 language, explain how to use this Common Lisp implementation and how
 it differs from the ANSI standard.
 .
 The manual about SBCL's internals is also included in this package
 and may be of interest for people who intent to work with SBCL's
 source code.

Package: sbcl-source
Replaces: sbcl (<< 1:0.8.20.5-3), sbcl-common (<= 1:0.9.13.0-2)
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: sbcl-common (<= 1:0.9.13.0-2)
Architecture: all
Description: Source code files for SBCL
 This package provides the source code for SBCL -- a development
 environment for the ANSI Common Lisp language.
 .
 The source code is useful in conjunction with development
 environments and debuggers like SLIME, that allow macro expansion and
 lookup of source definitions.
 .
 Installing this package enables your source browser to dig deeply
 into the core of Steel Bank Common Lisp.

=== debian/rules ===
#!/usr/bin/make -f


LOCALE_PATH=debian/tmpdir/usr/lib/locale
LOCALE_NAME=en_US
LOCALE_CHARSET=UTF-8
HOME = $(shell pwd)
export HOME

export SHELL=/bin/bash
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export sbcl_arch=$(shell dpkg-architecture -qDEB_BUILD_ARCH |sed s/i386/x86/)
ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
ifeq (${ARCH},powerpc)
   CFLAGS:=-O2
endif

pkg=sbcl
TARGET=debian/sbcl
SOURCE_TARGET=debian/sbcl-source
DOC_TARGET=debian/sbcl-doc
DESTDIR=$(CURDIR)/debian/tmp/usr

ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)

FEATURES=":sb-core-compression"

ifeq (,$(BOOTSTRAPHOME))
	BOOTSTRAPHOME=/usr
endif

HOST_SBCL=$(BOOTSTRAPHOME)/bin/sbcl
HOST_CORE=$(BOOTSTRAPHOME)/lib/sbcl/sbcl.core


ifneq (,$(filter x86 amd64,$(sbcl_arch)))
	FEATURES += " :sb-thread :sb-futex"
endif

ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
	FEATURES += " :os-provides-dlopen"
endif

configure: configure-stamp
configure-stamp:
	echo "(lambda (features) (setf features (union features (list $(FEATURES)))))" > customize-target-features.lisp

	cat customize-target-features.lisp

	dh_testdir

	touch configure-stamp

build: configure-stamp build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
#   create the locale:
	mkdir -p ${LOCALE_PATH}
	localedef -i "${LOCALE_NAME}" -f "${LOCALE_CHARSET}" "${LOCALE_PATH}/${LOCALE_NAME}.${LOCALE_CHARSET}"
	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
	export LANG=en_US.UTF-8
	export LOCPATH=${LOCALE_PATH} 
#   Using the locale

	+echo environment:
	env
	+echo

#   make scripts runable
	chmod a+x ./src/runtime/linux-nm ./make.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
	echo "using sbcl to rebuild with core /usr/lib/sbcl/sbcl-dist.core, checking"
	ls -l $(HOST_SBCL) $(HOST_CORE)
	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh "$(HOST_SBCL) --core $(HOST_CORE)  --sysinit /dev/null --userinit /dev/null --disable-debugger"
	mkdir stage1
	mv output/sbcl.core stage1/stage1.cor_
	mv src/runtime/sbcl stage1/stage1
#   save stage1
	tar cvf stage1.tar stage1/
	rm -rf stage1 || true
	sh clean.sh || true
#   restore stage1
	tar xvf stage1.tar
	rm stage1.tar
	echo "rebuild again with new version"
	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh --prefix="/usr/" --xc-host="`pwd`/stage1/stage1 --core `pwd`/stage1/stage1.cor_ --sysinit /dev/null --userinit /dev/null --disable-debugger"

	make -C doc/internals all html

#   start running tests
	-GNUMAKE=make sh -c 'cd tests && sh ./run-tests.sh' || printf "the tests failed\n"
#   see what the result is
	touch build-arch-stamp

build-indep: build-indep-stamp
build-indep-stamp: 
	dh_testdir
	cd doc/manual && make docstrings && make
	touch build-indep-stamp

clean:
	dh_testdir
	dh_testroot

	rm -rf target || true
	rm -rf stage1 || true
	rm -rf debian/tmpdir || true
	rm -rf .fontconfig || true
#   Add here commands to clean up after the build process.
	GNUMAKE=make sh clean.sh || true
	(cd src/runtime ; touch Config ; make clean ) || true
#   clean up CVS stuff
	rmdir contrib/systems/ obj/ output/ || true

	make -C doc/internals clean

	dh_clean

install:  build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	INSTALL_ROOT="$(DESTDIR)" sh install.sh

	dh_install

	cp debian/binfmt $(TARGET)/usr/share/binfmts/sbcl
	cp debian/sbcl-run $(TARGET)/usr/lib/sbcl
	chmod a+x $(TARGET)/usr/lib/sbcl/sbcl-run

	find $(TARGET)/usr/lib/sbcl/ -type f -name \*.c -exec chmod -x '{}' \;

#   move the indep stuff
	dh_installinfo -psbcl-doc $(DESTDIR)/share/info/sbcl.info 
	rm $(DESTDIR)/share/info/asdf.info $(DESTDIR)/share/info/sbcl.info
	rm $(DESTDIR)/share/doc/sbcl/asdf.pdf

	cp debian/index-docs.html \
		$(DOC_TARGET)/usr/share/doc/sbcl-doc/html/index.html

	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf-install/asdf-install	
	rm -f $(SOURCE_TARGET)/usr/share/sbcl-source/contrib/asdf/LICENSE


	find $(SOURCE_TARGET)/usr/share/sbcl-source -type f -name \*.fasl -or -name \*.o -or -name \*.log \
		-or -name \*.so -or -name a.out | xargs rm
	find $(SOURCE_TARGET)/usr/share/sbcl-source/ -type f -name \*.c -exec chmod -x '{}' \;
	rm $(SOURCE_TARGET)/usr/share/sbcl-source/src/runtime/sbcl  
	rm $(SOURCE_TARGET)/usr/share/sbcl-source/src/runtime/sbcl.nm 

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installdebconf -i
	dh_installcron -i
	dh_installinfo -i
	dh_installman -i
	dh_link -i
	dh_lintian -i
	dh_compress -i -X *.html
	dh_fixperms -i
	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
	dh_installman -a
	dh_strip -a
	dh_link -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_lisp sbcl
	dh_installdeb -a
	dh_shlibdeps -a

#   add the FASL version of this release to substvars
	stage1/stage1 --core stage1/stage1.cor_ --load "debian/fasl-version.lisp"

	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## sbcl 1.1.11

=== contrib/asdf/Makefile ===
MODULE=asdf
include ../vanilla-module.mk


test::
	true

up:
	sh pull-asdf.sh
	(cd asdf-upstream; make build/asdf.lisp)
	cp asdf-upstream/build/asdf.lisp asdf.lisp
	cp asdf-upstream/doc/asdf.texinfo asdf.texinfo
	cp asdf-upstream/README README

=== doc/manual/Makefile ===
SBCLTEXI:=sbcl.texinfo
ASDFTEXI:=asdf.texinfo
DOCFILES:=*.texinfo $(ASDFTEXI)
TMPTYPES:=aux cp cps fn fns ky log pg toc tp tps vr vrs
TMPFILES:=$(foreach target,asdf sbcl,$(foreach type,$(TMPTYPES),$(target).$(type)))
PSFILES=sbcl.ps asdf.ps
PDFFILES=sbcl.pdf asdf.pdf
INFOFILES=sbcl.info asdf.info
HTMLDIRS=$(basename $(SBCLTEXI)) $(basename $(ASDFTEXI))
HTMLFILES=sbcl.html asdf.html
# Place where generated documentation ends up. The value of
# DOCSTRINGDIR has to end with a slash or you lose (it's passed to
# Lisp's `pathname' function).
DOCSTRINGDIR="docstrings/"
CONTRIBDIR="../../contrib/"
I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIBDIR)
# List of contrib modules that docstring docs will be created for.
MODULES=':sb-md5 :sb-queue :sb-concurrency :sb-rotate-byte :sb-grovel \
         :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
# List of package names that docstring docs will be created for.
PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP \
	  :SB-PCL :SB-SYS \
          :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE :SB-ROTATE-BYTE  \
          :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX :SB-CONCURRENCY"

# SBCL_SYSTEM is an optional argument to this make program. If this
# variable is set, its contents are used as the command line for
# invoking SBCL.

# When passing a non-standard SBCL_SYSTEM, be sure to set the
# environment variable SBCL_HOME to a useful value, as well.

ifeq ($(MAKEINFO),)
  MAKEINFO:=makeinfo
endif

ifeq ($(TEXI2PDF),)
  TEXI2PDF:=texi2dvi -p
endif

ifeq ($(DVIPS),)
  DVIPS:=dvips
endif

.PHONY: all
all: asdf.texinfo ps pdf info html

.PHONY: dist
dist: html pdf

asdf.texinfo:
	rm -f asdf.texinfo
	ln -s ../../contrib/asdf/asdf.texinfo

# html documentation; output in $(HTMLDIRS)
.PHONY: html
html: html-stamp

html-stamp: $(DOCFILES) docstrings
	@rm -rf $(HTMLDIRS)
	@rm -f $(HTMLFILES)
#	$(MAKEINFO) $(I_FLAGS) --html --css-include=style-multi.css $(SBCLTEXI)
#	$(MAKEINFO) --html --css-include=style-multi.css $(ASDFTEXI)
	$(MAKEINFO) $(I_FLAGS) --html --no-split --css-include=style-single.css $(SBCLTEXI)
	$(MAKEINFO) --html --no-split --css-include=style-single.css $(ASDFTEXI)
	touch html-stamp

# Postscript documentation
.PHONY: ps
ps: $(PSFILES)

%.ps: %.dvi
	dvips -o $@ $<

# DVI generation
%.dvi: %.texinfo $(DOCFILES) docstrings
	texi2dvi $(I_FLAGS) $<

# PDF documentation
.PHONY: pdf
pdf: $(PDFFILES)

%.pdf: %.texinfo $(DOCFILES) docstrings
	$(TEXI2PDF) $(I_FLAGS) $<

# info docfiles
.PHONY: info
info: $(INFOFILES)

%.info: %.texinfo $(DOCFILES) docstrings
	$(MAKEINFO) $(I_FLAGS) $<

# Texinfo docstring snippets
# Note: assumes contrib module names are the same as the names of
# directories containing the modules, and that these directories
# are in $(CONTRIBDIR).
CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIBDIR)|g") -name '*.fasl')
docstrings: $(CONTRIB_FASLS) tempfiles-stamp
	for module in $(shell echo $(MODULES)); do \
		test -f $(CONTRIBDIR)/`echo $$module | tr -d :`/test-passed \
		|| { echo "The documented contrib $$module seems \
                           to have failed its tests." && exit 1; } \
	done
	DOCSTRINGDIR=$(DOCSTRINGDIR) \
	PACKAGES=$(PACKAGES) \
	MODULES=$(MODULES) \
	sh make-tempfiles.sh "$(SBCL_SYSTEM)" && touch $(DOCSTRINGDIR)

tempfiles-stamp:
	touch tempfiles-stamp

.PHONY: clean
clean: 
	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
	rm -f  $(HTMLFILES)
	rm -f contrib-docs.texi-temp
	rm -f package-locks.texi-temp
	rm -f variables.texinfo
	rm -f $(PSFILES) $(PDFFILES) html-stamp tempfiles-stamp
	rm -f $(TMPFILES) $(INDEXFILES)
	rm -f sbcl.info sbcl.info-* asdf.info

.PHONY: distclean
distclean: clean

## sbcl 1.1.14

=== tools-for-build/Makefile ===
# This software is part of the SBCL system. See the README file for
# more information.
#
# This software is derived from the CMU CL system, which was
# written at Carnegie Mellon University and released into the
# public domain. The software is in the public domain and is
# provided with absolutely no warranty. See the COPYING and CREDITS
# files for more information.

-include genesis/Makefile.features
-include Config

CPPFLAGS:=-I../src/runtime
LDFLAGS:=$(LDFLAGS)
LDLIBS:=$(OS_LIBS)

all: grovel-headers determine-endianness where-is-mcontext \
        modify-ldt-struct-name sigaction-sa-nodefer-works-test

clean:
	rm -f *.o grovel-headers determine-endianness where-is-mcontext \
                modify-ldt-structure-name sigaction-sa-nodefer-works-test

=== contrib/asdf/Makefile ===
DEST=$(SBCL_PWD)/obj/sbcl-home/contrib/
FASL=$(DEST)/asdf.fasl

fasl:: $(FASL)
$(FASL):: asdf.lisp ../../output/sbcl.core
	if [ -d asdf-upstream ] ; then rm -rf asdf-upstream ; fi
	mkdir -p $(DEST)
	$(SBCL) --eval '(compile-file #p"SYS:CONTRIB;ASDF;ASDF.LISP" :output-file (parse-native-namestring "$@"))' </dev/null

install::
	cp $(FASL) "$(BUILD_ROOT)$(INSTALL_DIR)"

test:: $(FASL)
	true

UPSTREAM=../../obj/asdf-upstream
up::
	sh pull-asdf.sh
	ln -f $(UPSTREAM)/build/asdf.lisp asdf.lisp
	ln -f $(UPSTREAM)/doc/asdf.texinfo asdf.texinfo
	ln -f $(UPSTREAM)/README README

=== contrib/sb-sprof/Makefile ===
MODULE=sb-sprof
include ../vanilla-module.mk

test::
	$(SBCL) --eval '(load (format nil "SYS:CONTRIB;~:@(~A~);TEST.LISP" "$(MODULE)"))' </dev/null

=== doc/manual/Makefile ===
--- 
+++ 
@@ -12,14 +12,15 @@
 # DOCSTRINGDIR has to end with a slash or you lose (it's passed to
 # Lisp's `pathname' function).
 DOCSTRINGDIR="docstrings/"
-CONTRIBDIR="../../contrib/"
-I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIBDIR)
+CONTRIB_SRC_DIR="../../contrib/"
+CONTRIB_OBJ_DIR="../../obj/asdf-cache/"
+I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIB_SRC_DIR)
 # List of contrib modules that docstring docs will be created for.
 MODULES=':sb-md5 :sb-queue :sb-concurrency :sb-rotate-byte :sb-grovel \
          :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
 # List of package names that docstring docs will be created for.
 PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP \
-	  :SB-PCL :SB-SYS \
+          :SB-PCL :SB-SYS :SB-SEQUENCE \
           :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE :SB-ROTATE-BYTE  \
           :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX :SB-CONCURRENCY"
 
@@ -93,11 +94,11 @@
 # Texinfo docstring snippets
 # Note: assumes contrib module names are the same as the names of
 # directories containing the modules, and that these directories
-# are in $(CONTRIBDIR).
-CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIBDIR)|g") -name '*.fasl')
+# are in $(CONTRIB_OBJ_DIR).
+CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIB_OBJ_DIR)|g") -name '*.fasl')
 docstrings: $(CONTRIB_FASLS) tempfiles-stamp
 	for module in $(shell echo $(MODULES)); do \
-		test -f $(CONTRIBDIR)/`echo $$module | tr -d :`/test-passed \
+		test -f $(CONTRIB_OBJ_DIR)/`echo $$module | tr -d :`/test-passed.test-report \
 		|| { echo "The documented contrib $$module seems \
                            to have failed its tests." && exit 1; } \
 	done
@@ -110,7 +111,7 @@
 	touch tempfiles-stamp
 
 .PHONY: clean
-clean: 
+clean:
 	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
 	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
 	rm -f  $(HTMLFILES)

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: dh-lisp,
  debhelper (>> 7.0.0),
  sbcl (>> 1:0.9.5.50-9),
+ sbcl-source,
  texinfo,
  zlib1g-dev,
  texlive-extra-utils,

=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,10 @@
 
 #   start running tests
 	-GNUMAKE=make sh -c 'cd tests && sh ./run-tests.sh' || printf "the tests failed\n"
+
+	src/runtime/sbcl --core output/sbcl.core --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
+	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'
+
 #   see what the result is
 	touch build-arch-stamp

=== debian/watch ===
version=3

http://sf.net/sbcl/sbcl-([0-9.]*)-source\.tar\.bz2

## sbcl 1.2.3

=== debian/changelog ===
sbcl (2:1.2.3-1ubuntu1) utopic; urgency=medium

  * Don't leave stage1 unreadable, fixing FTBFS with pkgstriptranslations.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 18 Sep 2014 20:27:57 -0600

sbcl (2:1.2.3-1) unstable; urgency=medium

  * New upstream version
   * enhancement: DOCUMENTATION works on instances of
     FUNCALLABLE-STANDARD-CLASS
   * enhancement: ASSERT reports arguments of calls to lexical functions in
     additional to global functions.
   * enhancement: ASDF updated to 3.1.3
   * enhancement: UIOP can be loaded without ASDF.
   * bug fix: some methods on CHANGE-CLASS did not finalize the new class
     before accessing its class-precedence list.
   * bug fix: CHANGE-CLASS no longer fails on unbound slots in the source
     object.
   * bug fix: CHANGE-CLASS signals an appropriate error when the destination
     class is a FORWARD-REFERENCED-CLASS.
   * bug fix: CHANGE-CLASS no longer signals bogus TYPE-ERRORs for slots for
     which initargs have been supplied.
   * bug fix: saving cores on ARM was broken since the introduction of GENCGC.
     (lp#1349795)
   * bug fix: macroexpanding a backquoted expression involving ",."
     outside of the compiler failed. (lp#1354623)

 -- Christoph Egger <christoph@debian.org>  Fri, 29 Aug 2014 11:38:19 -0700

sbcl (2:1.2.2-1) unstable; urgency=medium

  * New upstream version
      * incompatible change: the #\` ("backquote") reader macro was reimplemented
        to support robust pretty-printing. Reading a form involving #\` produces
        an invocation of the QUASIQUOTE ordinary macro which may contain subforms
        that are not lists. Code that unportably attempts operations on
        un-evaluated forms resulting therefrom, e.g.
          (SUBST a b (read-from-string "`(x (,y))"))
        might generate incorrect results and/or errors.
      * enhancement: support for GNU/kFreeBSD x86.
      * enhancement: ATOMIC-INCF and ATOMIC-DECF can operate on (CAR x), (CDR x)
        and DEFGLOBAL variables of type fixnum.
      * enhancement: arithmetic constant reduction is now performed on defconstant
        constants too. (lp#1337069).
      * bug fix: certain ftype proclamations containing &optional t &rest t no
        longer cause subsequent definitions to signal bogus style-warnings.
      * bug fix: #\Bell and #\Bel now read to different characters. (lp#1319452).
      * bug fix: CAS SYMBOL-VALUE on locally special variables didn't work.
        (lp#1098355)
  * Add patch for newer graphviz (Closes: #755331)
  
 -- Christoph Egger <christoph@debian.org>  Fri, 15 Aug 2014 17:24:32 +0200
  

sbcl (2:1.2.1-1) UNRELEASED; urgency=medium
  
  * New upstream version
    changes in sbcl-1.2.1 relative to sbcl-1.2.0:
    * enhancement: GENCGC is enabled on ARM.
    * enhancement: better error reporting for invalid calls to local functions.
    * enhancement: support for GNU/kFreeBSD distributions.  (lp#1079954, thanks
      to Christoph Egger)
    * enhancement: experimental support for threads on NetBSD/x86-64.  (thanks
      to Robert Swindells)
    * enhancement: support for DragonFly BSD.  (lp#1292845, thanks to Vasily
      Postnicov)
    * bug fix: TYPE-OF must not return AND/OR/NOT expressions.
      (lp#1317308)
    * bug fix: accessing NIL arrays stopped producing errors. (lp#1311421)
    * bug fix: DISASSEMBLE no longer prints unwanted stuff. (lp#1251861)
    * bug fix: compiling SVREF on unknown types no longer produces scary errors.
      (lp#1258716)
    * bug fix: assorted LOOP fixes and enhancements. (lp#645534, lp#1322923,
      lp#700538, lp#613876, lp#695286, lp#798388)
    * bug fix: silence compiler notes from the SEARCH transform. (lp#1071310)
    * bug fix: array type intersection handles T and unknown element types
      correctly. (lp#1258716)
    * bug fix: fix a corner case in array type unparsing that would result in
      misleading translations from our internal type representation.
    * bug fix: array-rank now sees through union and intersection types.
      (lp#1310574)
    * bug fix: when DECLARE expressions are in the wrong place, be careful not
      to attempt to evaluate the subforms.  (lp#573747; thanks to Roman
      Marynchak)
    * bug fix: misplaced and missing declarations in DEFTRANSFORM. (lp#1066451)
    * bug fix: FBOUNDP returned NIL for a class of incorrect function names
      instead of signaling an error. (lp#1095483)
    * bug fix: fix a compile-time AVER in regalloc: lifetime analysis
      used to (rarely) introduce duplicate conflict markers in a single
      TN/block pair. (lp#1327008)
  * Remove armel again as sbcl only supports armv5+
  * 

 -- Christoph Egger <christoph@debian.org>  Fri, 15 Aug 2014 17:24:32 +0200

sbcl (2:1.2.0-1) unstable; urgency=medium

  * New upstream release
      changes in sbcl-1.2.0 relative to sbcl-1.1.18:
      * bug fix: read-time-eval backquote context mixup. (lp#1321047)
      * enhancement: when SAVE-LISP-AND-DIE fails due multiple threads, the
        report of the signaled conditions lists currently running threads.
      * enhancement: ported to ARM linux.
      * enhancement: sb-gmp contrib has been updated. (lp#1305266)
      * enhancement: new contrib sb-mpfr by Stephan Frank.
      * bug fix: MAKE-SEQUENCE works with sequence types defined via DEFTYPE
        (lp#1315846, thanks to Mark Cox)
      * bug fix: SET-[DISPATCH-]MACRO-CHARACTER should coerce a symbolic
        function-designator to a function only as needed. (lp#1012335)
      * bug fix: remove references to asdf-install from the manual.  (lp#1207544,
        thanks to Thomas Hlavaty)
      * bug fix: handle --without-xxx options to make.sh more carefully.
        (lp#1246665, thanks to Richard M Kreuter)
      * bug fix: prevent maybe-delete-exit from doing semantically broken things
        with local exits. (lp#309099, lp#518099, lp#533930)
      * bug fix: attempts to subclass BUILT-IN-CLASSes signal errors, as required
        by AMOP.  (lp#861004)



=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
 Build-Depends: dh-lisp,
  debhelper (>> 7.0.0),
@@ -17,6 +18,7 @@
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils,
+ cm-super-minimal,
  time,
  netbase
 Standards-Version: 3.9.2
@@ -24,7 +26,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: cl-clx-sbcl (<= 0.7.0-1),
  common-lisp-controller (<< 6.18),

## sbcl 1.2.4

=== contrib/asdf/Makefile ===
DEST=$(SBCL_PWD)/obj/sbcl-home/contrib/
ASDF_FASL=$(DEST)/asdf.fasl
UIOP_FASL=$(DEST)/uiop.fasl
FASL=$(UIOP_FASL) $(ASDF_FASL)

fasl:: $(UIOP_FASL) $(ASDF_FASL)
$(UIOP_FASL):: uiop.lisp ../../output/sbcl.core
	mkdir -p $(DEST)
	$(SBCL) --eval '(compile-file #p"SYS:CONTRIB;ASDF;UIOP.LISP" :output-file (parse-native-namestring "$@"))' </dev/null

$(ASDF_FASL):: asdf.lisp ../../output/sbcl.core
	if [ -d asdf-upstream ] ; then rm -rf asdf-upstream ; fi
	mkdir -p $(DEST)
	$(SBCL) --eval '(compile-file #p"SYS:CONTRIB;ASDF;ASDF.LISP" :output-file (parse-native-namestring "$@"))' </dev/null

install::
	cp $(FASL) "$(BUILD_ROOT)$(INSTALL_DIR)"

test:: $(FASL)
	true

UPSTREAM=../../obj/asdf-upstream
up::
	sh pull-asdf.sh
	ln -f $(UPSTREAM)/doc/asdf.texinfo asdf.texinfo
	ln -f $(UPSTREAM)/README README

=== debian/changelog ===
sbcl (2:1.2.4-2) unstable; urgency=medium

  * Add upstream patchy to fix sb-concurrency on powerpc

 -- Christoph Egger <christoph@debian.org>  Mon, 20 Oct 2014 23:29:42 +0200

sbcl (2:1.2.4-1) unstable; urgency=medium

  * Update to 1.2.4 upstream version
    * enhancement: the sequence functions MAP, CONCATENATE and MERGE now call
      the new generic functions SEQUENCE:MAP, SEQUENCE:CONCATENATE and
      SEQUENCE:MERGE respectively when the specified result type designates an
      extended sequence.
    * bug fix: Wrong binding order of supplied-p parameters in macro lambda
      lists.  (lp#721135)
    * bug fix: VALIDATE-SUPERCLASS returns T when the superclass is the
      universal superclass (lp#1332983)
    * bug fix: reading an uninterned symbol whose print name has the
      syntax of an integer signals an error. (lp#310062)
    * bug fix: the walker is less likely to be confused when walking LET* forms
      with special bindings and use of those bindings and others of the same
      name.
    * bug fix: a rare bug affecting 32-bit platforms resulting in a
      fatal condition with the message "Globaldb rehash failure" has been fixed.

 -- Christoph Egger <christoph@debian.org>  Mon, 06 Oct 2014 20:23:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
-Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Uploaders:
+ Peter Van Eynde <pvaneynd@debian.org>,
+ Christoph Egger <christoph@debian.org>
 Build-Depends: dh-lisp,
  debhelper (>> 7.0.0),
  sbcl (>> 1:0.9.5.50-9),
@@ -26,7 +27,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: cl-clx-sbcl (<= 0.7.0-1),
  common-lisp-controller (<< 6.18),

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,10 @@
 #!/usr/bin/make -f
-
 
 LOCALE_PATH=debian/tmpdir/usr/lib/locale
 LOCALE_NAME=en_US
 LOCALE_CHARSET=UTF-8
-HOME = $(shell pwd)
+HOME=$(CURDIR)
 export HOME
-
-export SHELL=/bin/bash
 export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
@@ -24,35 +21,21 @@
 SOURCE_TARGET=debian/sbcl-source
 DOC_TARGET=debian/sbcl-doc
 DESTDIR=$(CURDIR)/debian/tmp/usr
+FEATURES=--fancy
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-FEATURES=":sb-core-compression"
-
-ifeq (,$(BOOTSTRAPHOME))
-	BOOTSTRAPHOME=/usr
-endif
-
-HOST_SBCL=$(BOOTSTRAPHOME)/bin/sbcl
-HOST_CORE=$(BOOTSTRAPHOME)/lib/sbcl/sbcl.core
-
-
-ifneq (,$(filter x86 amd64,$(sbcl_arch)))
-	FEATURES += " :sb-thread :sb-futex"
+ifeq (,$(BOOTSTRAPLISP))
+	BOOTSTRAPLISP=/usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
 endif
 
 ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
-	FEATURES += " :os-provides-dlopen"
+	FEATURES += --with-os-provides-dlopen --with-sb-pthread-futex
 endif
 
 configure: configure-stamp
 configure-stamp:
-	echo "(lambda (features) (setf features (union features (list $(FEATURES)))))" > customize-target-features.lisp
-
-	cat customize-target-features.lisp
-
 	dh_testdir
-
 	touch configure-stamp
 
 build: configure-stamp build-arch build-indep
@@ -66,31 +49,21 @@
 	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
 	export LANG=en_US.UTF-8
 	export LOCPATH=${LOCALE_PATH} 
-#   Using the locale
 
 	+echo environment:
 	env
 	+echo
 
 #   make scripts runable
-	chmod a+x ./src/runtime/linux-nm ./make.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
+	chmod a+x ./src/runtime/linux-nm ./make.sh ./install.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
 	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
 	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
-	echo "using sbcl to rebuild with core /usr/lib/sbcl/sbcl-dist.core, checking"
-	ls -l $(HOST_SBCL) $(HOST_CORE)
-	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh "$(HOST_SBCL) --core $(HOST_CORE)  --sysinit /dev/null --userinit /dev/null --disable-debugger"
-	mkdir stage1
-	mv output/sbcl.core stage1/stage1.cor_
-	mv src/runtime/sbcl stage1/stage1
-#   save stage1
-	tar cvf stage1.tar stage1/
-	rm -rf stage1 || true
-	sh clean.sh || true
-#   restore stage1
-	tar xvf stage1.tar
-	rm stage1.tar
-	echo "rebuild again with new version"
-	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh --prefix="/usr/" --xc-host="`pwd`/stage1/stage1 --core `pwd`/stage1/stage1.cor_ --sysinit /dev/null --userinit /dev/null --disable-debugger"
+
+	./make.sh --xc-host="$(BOOTSTRAPLISP)" --prefix=$(CURDIR)/stage1 $(FEATURES)
+	./install.sh
+	chmod 100 stage1
+	./clean.sh
+	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
 
 	make -C doc/internals all html
 
@@ -100,7 +73,6 @@
 	src/runtime/sbcl --core output/sbcl.core --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
 	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'
 
-#   see what the result is
 	touch build-arch-stamp
 
 build-indep: build-indep-stamp
@@ -114,6 +86,7 @@
 	dh_testroot
 
 	rm -rf target || true
+	-chmod 700 stage1
 	rm -rf stage1 || true
 	rm -rf debian/tmpdir || true
 	rm -rf .fontconfig || true
@@ -176,8 +149,8 @@
 	dh_lintian -i
 	dh_compress -i -X *.html
 	dh_fixperms -i
-	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
-	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
+#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
+#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -190,7 +163,7 @@
 	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
-	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
+#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
 	dh_installman -a
 	dh_strip -a
 	dh_link -a
@@ -202,7 +175,7 @@
 	dh_shlibdeps -a
 
 #   add the FASL version of this release to substvars
-	stage1/stage1 --core stage1/stage1.cor_ --load "debian/fasl-version.lisp"
+	stage1/bin/sbcl --load "debian/fasl-version.lisp"
 
 	dh_gencontrol -a
 	dh_md5sums -a

## sbcl 1.2.11

=== contrib/asdf/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	mkdir -p $(DEST)
 	$(SBCL) --eval '(compile-file #p"SYS:CONTRIB;ASDF;UIOP.LISP" :output-file (parse-native-namestring "$@"))' </dev/null
 
-$(ASDF_FASL):: asdf.lisp ../../output/sbcl.core
+$(ASDF_FASL):: asdf.lisp ../../output/sbcl.core $(UIOP_FASL)
 	if [ -d asdf-upstream ] ; then rm -rf asdf-upstream ; fi
 	mkdir -p $(DEST)
 	$(SBCL) --eval '(compile-file #p"SYS:CONTRIB;ASDF;ASDF.LISP" :output-file (parse-native-namestring "$@"))' </dev/null

=== doc/manual/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
          :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
 # List of package names that docstring docs will be created for.
 PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP \
-          :SB-PCL :SB-SYS :SB-SEQUENCE \
+          :SB-PCL :SB-SYS :SB-SEQUENCE :SB-UNICODE \
           :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE :SB-ROTATE-BYTE  \
           :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX :SB-CONCURRENCY"

=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	chmod 100 stage1
 	./clean.sh
 	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
+	chmod 700 stage1
 
 	make -C doc/internals all html

## sbcl 1.2.13

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -20,3 +20,4 @@
 clean:
 	rm -f *.o grovel-headers determine-endianness where-is-mcontext \
                 modify-ldt-structure-name sigaction-sa-nodefer-works-test
+	rm -f *.exe

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
@@ -22,7 +23,8 @@
  cm-super-minimal,
  time,
  netbase
-Standards-Version: 3.9.2
+Build-Conflicts: locales-all
+Standards-Version: 3.9.6
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
@@ -31,7 +33,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: cl-clx-sbcl (<= 0.7.0-1),
  common-lisp-controller (<< 6.18),
- cl-asdf (<= 2:1.502)
+ cl-asdf (<< 2:3.1.5)
 Suggests: sbcl-doc,
  sbcl-source,
  slime

## sbcl 1.2.14

=== debian/changelog ===
sbcl (2:1.2.14-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 01 Aug 2015 22:12:48 +0000

sbcl (2:1.2.14-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.2.14 relative to sbcl-1.2.13:
      * minor incompatible change: The name of a compiled anonymous lambda
        as returned by the third value of FUNCTION-LAMBDA-EXPRESSION can have
        a lambda-list-like list following the introductory LAMBDA that is not
        in general a syntactically valid lambda list. Specifically, it won't
        retain default values, supplied-p variables, or &KEY or &AUX bindings.
      * enhancement: DESTRUCTURING-BIND has been totally reimplemented from
        scratch to address a handful of performance and correctness issues.
        Some minor behavioral differences exist regarding order of evaluation
        of default forms for unsupplied &OPTIONAL and &KEY arguments
        when nested destructuring patterns are involved.
        (lp#707556, lp#707573, lp#707578, lp#708051)
      * enhancement: DEFCONSTANT and DEFSTRUCT respect package locks. (lp#1186238,
        lp#1036716)
      * enhancement: sb-unicode:normalize-string has a new optional argument,
        FILTER, a callback which controls which decomposed characters are
        collected. Useful for stripping away diacritics more efficiently.
      * bug fix: (TYPE-OF ARRAY) for a non-simple array is subject to change
        after a call of ADJUST-ARRAY. (lp#1333731)
      * bug fix: Dynamic-extent allocation with a loop between allocating a value
        and the start of its environment no longer discards the allocated data
        when the loop is taken. (lp#1472785)
      * bug fix: Variable-reference elimination no longer generates incorrect code
        under certain circumstances. (lp#1446891)
      * bug fix: variables with EQL types are no longer treated as constants by
        VOPs, which caused problems with closures being allocated for such
        variables, but they remained unused. (lp#1390149)
      * bug fix: Windows installer generates registry key name
        correctly. (lp#1476447)
  * Use caninical Vcs URLs

 -- Christoph Egger <christoph@debian.org>  Sat, 01 Aug 2015 16:04:48 +0200

sbcl (2:1.2.13-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations. 

 -- Logan Rosen <logan@ubuntu.com>  Tue, 30 Jun 2015 22:37:21 -0700

sbcl (2:1.2.13-1) unstable; urgency=medium

  * New upstream Version
    changes in sbcl-1.2.13 relative to sbcl-1.2.12:
     * incompatible change: on success, TRY-SEMAPHORE and WAIT-ON-SEMAPHORE
       return the new count
     * enhancement: WAIT-ON-SEMAPHORE accepts a decrement parameter
     * enhancement: JOIN-THREAD allows distinguishing timeout vs. abort in all
       situations
     * enhancement: On Windows DBG_PRINTEXCEPTION_C is handled and its message
       is printed. (lp#1437947)
     * bug-fix: TRUENAME works properly on broken symlinks presented as
       directories. (lp#1458164)
     * bug fix: Inlined DPB and DEPOSIT-FIELD don't interfere with left-to-right
       order of argument evaluation. (lp#1458190)
     * bug fix: (SETF (LDB (BYTE 1 2 JUNK) X) 0) is rightly rejected.
     * bug fix: DEFSETF lambda lists should not permit argument destructuring.
     * bug fix: calls to (SETF SLOT-VALUE) on a missing slot would in certain
       situations incorrectly return the result of a SLOT-MISSING method
       instead of always returning the new value. (lp#1460381)
     * bug fix: a DEFMACRO occurring not at toplevel and capturing parts of
       its lexical environment (thus being a closure) caused expressions
       involving the macro name to cause corruption in the pretty-printer
       due to faulty introspection of the lambda list of a closure.
     * bug fix: out of line MAP/MAP-INTO check that the results produced by the
       function are of the matching sequence type. (lp#1459581)
     * bug fix: pretty-printing of '(LET `((,X ,Y)) :B) is handled correctly.

  * Breaks "old" cl-asdf (Closes: #787909)
  * Build-Conflicts on locales-all (Closes: #786601)

 -- Christoph Egger <christoph@debian.org>  Mon, 29 Jun 2015 10:57:58 +0200

sbcl (2:1.2.12-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 21 Jun 2015 20:35:48 -0700

sbcl (2:1.2.12-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.2.12 relative to sbcl-1.2.11:
      * minor incompatible change: the SB-C::*POLICY* variable is no longer
        a list. Code which manipulated it as such (including but not limited
        to non-bundled releases of ASDF) will need to be revised.
      * enhancement: The input stream for COMPILE-FILE implements
        STREAM-LINE-COLUMN.
      * enhancement: EVAL errors that occur by way of LOAD report the starting
        line and column number of the erring toplevel form. (lp#565247)
      * optimization: better MAP and MAP-INTO on known vector result types.
      * bug fix: Read/modify/write macros accessing a place which is a
        composition of CAR+CDR operations, such as (SHIFTF (CADR X) (ELT V 0)),
        do not access subforms more than once. (lp#1450968)
      * bug fix: short form of DEFSETF no longer allows trailing junk.
      * bug fix: DEFINE-MODIFY-MACRO respects the provisions of CLHS 5.1.3
        regarding argument evaluation order. (lp#1452539)
      * bug fix: POP works as specified in CLHS if the setter for its


=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  netbase
 Build-Conflicts: locales-all
 Standards-Version: 3.9.6
-Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
+Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf armel
